
package net.mcreator.prehistoricchallenge.client.renderer;

import net.minecraft.resources.ResourceLocation;
import net.minecraft.client.renderer.entity.MobRenderer;
import net.minecraft.client.renderer.entity.EntityRendererProvider;
import net.minecraft.client.model.geom.ModelLayers;
import net.minecraft.client.model.SpiderModel;

import net.mcreator.prehistoricchallenge.entity.HallucigeniaEntity;

public class HallucigeniaRenderer extends MobRenderer<HallucigeniaEntity, SpiderModel<HallucigeniaEntity>> {
	public HallucigeniaRenderer(EntityRendererProvider.Context context) {
		super(context, new SpiderModel(context.bakeLayer(ModelLayers.SPIDER)), 0.5f);
	}

	@Override
	public ResourceLocation getTextureLocation(HallucigeniaEntity entity) {
		return new ResourceLocation("prehistoric_challenge:textures/entities/hallucigenia.png");
	}
}
