
package net.mcreator.prehistoricchallenge.client.renderer;

import net.minecraft.resources.ResourceLocation;
import net.minecraft.client.renderer.entity.MobRenderer;
import net.minecraft.client.renderer.entity.EntityRendererProvider;
import net.minecraft.client.model.geom.ModelLayers;
import net.minecraft.client.model.ChickenModel;

import net.mcreator.prehistoricchallenge.entity.SinornithosaurusEntity;

public class SinornithosaurusRenderer extends MobRenderer<SinornithosaurusEntity, ChickenModel<SinornithosaurusEntity>> {
	public SinornithosaurusRenderer(EntityRendererProvider.Context context) {
		super(context, new ChickenModel(context.bakeLayer(ModelLayers.CHICKEN)), 0.5f);
	}

	@Override
	public ResourceLocation getTextureLocation(SinornithosaurusEntity entity) {
		return new ResourceLocation("prehistoric_challenge:textures/entities/sinornithosaurus.png");
	}
}
