
package net.mcreator.prehistoricchallenge.client.renderer;

import net.minecraft.resources.ResourceLocation;
import net.minecraft.client.renderer.entity.MobRenderer;
import net.minecraft.client.renderer.entity.EntityRendererProvider;
import net.minecraft.client.model.geom.ModelLayers;
import net.minecraft.client.model.SalmonModel;

import net.mcreator.prehistoricchallenge.entity.BasilosaurusEntity;

public class BasilosaurusRenderer extends MobRenderer<BasilosaurusEntity, SalmonModel<BasilosaurusEntity>> {
	public BasilosaurusRenderer(EntityRendererProvider.Context context) {
		super(context, new SalmonModel(context.bakeLayer(ModelLayers.SALMON)), 0.5f);
	}

	@Override
	public ResourceLocation getTextureLocation(BasilosaurusEntity entity) {
		return new ResourceLocation("prehistoric_challenge:textures/entities/basilosaurus.png");
	}
}
