
package net.mcreator.prehistoricchallenge.client.renderer;

import net.minecraft.resources.ResourceLocation;
import net.minecraft.client.renderer.entity.MobRenderer;
import net.minecraft.client.renderer.entity.EntityRendererProvider;
import net.minecraft.client.model.geom.ModelLayers;
import net.minecraft.client.model.CreeperModel;

import net.mcreator.prehistoricchallenge.entity.FirecreeperEntity;

public class FirecreeperRenderer extends MobRenderer<FirecreeperEntity, CreeperModel<FirecreeperEntity>> {
	public FirecreeperRenderer(EntityRendererProvider.Context context) {
		super(context, new CreeperModel(context.bakeLayer(ModelLayers.CREEPER)), 0.5f);
	}

	@Override
	public ResourceLocation getTextureLocation(FirecreeperEntity entity) {
		return new ResourceLocation("prehistoric_challenge:textures/entities/firecreeper.png");
	}
}
