
package net.mcreator.prehistoricchallenge.client.renderer;

import net.minecraft.resources.ResourceLocation;
import net.minecraft.client.renderer.entity.MobRenderer;
import net.minecraft.client.renderer.entity.EntityRendererProvider;
import net.minecraft.client.model.geom.ModelLayers;
import net.minecraft.client.model.GhastModel;

import net.mcreator.prehistoricchallenge.entity.FirewitherEntity;

public class FirewitherRenderer extends MobRenderer<FirewitherEntity, GhastModel<FirewitherEntity>> {
	public FirewitherRenderer(EntityRendererProvider.Context context) {
		super(context, new GhastModel(context.bakeLayer(ModelLayers.GHAST)), 0.5f);
	}

	@Override
	public ResourceLocation getTextureLocation(FirewitherEntity entity) {
		return new ResourceLocation("prehistoric_challenge:textures/entities/firewither.png");
	}
}
