
package net.mcreator.prehistoricchallenge.client.renderer;

import net.minecraft.resources.ResourceLocation;
import net.minecraft.client.renderer.entity.MobRenderer;
import net.minecraft.client.renderer.entity.EntityRendererProvider;
import net.minecraft.client.model.geom.ModelLayers;
import net.minecraft.client.model.CowModel;

import net.mcreator.prehistoricchallenge.entity.IdricothereEntity;

public class IdricothereRenderer extends MobRenderer<IdricothereEntity, CowModel<IdricothereEntity>> {
	public IdricothereRenderer(EntityRendererProvider.Context context) {
		super(context, new CowModel(context.bakeLayer(ModelLayers.COW)), 0.5f);
	}

	@Override
	public ResourceLocation getTextureLocation(IdricothereEntity entity) {
		return new ResourceLocation("prehistoric_challenge:textures/entities/idricothere.png");
	}
}
