
package net.mcreator.prehistoricchallenge.client.renderer;

import net.minecraft.resources.ResourceLocation;
import net.minecraft.client.renderer.entity.MobRenderer;
import net.minecraft.client.renderer.entity.EntityRendererProvider;
import net.minecraft.client.model.geom.ModelLayers;
import net.minecraft.client.model.SalmonModel;

import net.mcreator.prehistoricchallenge.entity.OpabiniaEntity;

public class OpabiniaRenderer extends MobRenderer<OpabiniaEntity, SalmonModel<OpabiniaEntity>> {
	public OpabiniaRenderer(EntityRendererProvider.Context context) {
		super(context, new SalmonModel(context.bakeLayer(ModelLayers.SALMON)), 0.5f);
	}

	@Override
	public ResourceLocation getTextureLocation(OpabiniaEntity entity) {
		return new ResourceLocation("prehistoric_challenge:textures/entities/opabinia.png");
	}
}
