
package net.mcreator.prehistoricchallenge.client.renderer;

import net.minecraft.resources.ResourceLocation;
import net.minecraft.client.renderer.entity.MobRenderer;
import net.minecraft.client.renderer.entity.EntityRendererProvider;
import net.minecraft.client.model.geom.ModelLayers;
import net.minecraft.client.model.OcelotModel;

import net.mcreator.prehistoricchallenge.entity.SmilodonEntity;

public class SmilodonRenderer extends MobRenderer<SmilodonEntity, OcelotModel<SmilodonEntity>> {
	public SmilodonRenderer(EntityRendererProvider.Context context) {
		super(context, new OcelotModel(context.bakeLayer(ModelLayers.OCELOT)), 0.5f);
	}

	@Override
	public ResourceLocation getTextureLocation(SmilodonEntity entity) {
		return new ResourceLocation("prehistoric_challenge:textures/entities/smilodon.png");
	}
}
