
/*
 *    MCreator note: This file will be REGENERATED on each build.
 */
package net.mcreator.prehistoricchallenge.init;

import net.minecraftforge.registries.RegistryObject;
import net.minecraftforge.registries.ForgeRegistries;
import net.minecraftforge.registries.DeferredRegister;
import net.minecraftforge.common.ForgeSpawnEggItem;

import net.minecraft.world.level.block.Block;
import net.minecraft.world.item.Item;
import net.minecraft.world.item.CreativeModeTab;
import net.minecraft.world.item.BlockItem;

import net.mcreator.prehistoricchallenge.item.TriassicItem;
import net.mcreator.prehistoricchallenge.item.SpearItem;
import net.mcreator.prehistoricchallenge.item.SapphireItem;
import net.mcreator.prehistoricchallenge.item.RubyItem;
import net.mcreator.prehistoricchallenge.item.QuartzItem;
import net.mcreator.prehistoricchallenge.item.PrecambrianItem;
import net.mcreator.prehistoricchallenge.item.PlioceneItem;
import net.mcreator.prehistoricchallenge.item.PleistioceneItem;
import net.mcreator.prehistoricchallenge.item.PermainItem;
import net.mcreator.prehistoricchallenge.item.OrdovicianItem;
import net.mcreator.prehistoricchallenge.item.OpalItem;
import net.mcreator.prehistoricchallenge.item.MioceneItem;
import net.mcreator.prehistoricchallenge.item.JurassicItem;
import net.mcreator.prehistoricchallenge.item.HallucigeniaspineItem;
import net.mcreator.prehistoricchallenge.item.FossilItem;
import net.mcreator.prehistoricchallenge.item.EoceneItem;
import net.mcreator.prehistoricchallenge.item.DevonianItem;
import net.mcreator.prehistoricchallenge.item.CretaciousItem;
import net.mcreator.prehistoricchallenge.item.CarbonifeousItem;
import net.mcreator.prehistoricchallenge.item.CambrianItem;
import net.mcreator.prehistoricchallenge.item.AmberItem;
import net.mcreator.prehistoricchallenge.PrehistoricChallengeMod;

public class PrehistoricChallengeModItems {
	public static final DeferredRegister<Item> REGISTRY = DeferredRegister.create(ForgeRegistries.ITEMS, PrehistoricChallengeMod.MODID);
	public static final RegistryObject<Item> SAPPHIRE = REGISTRY.register("sapphire", () -> new SapphireItem());
	public static final RegistryObject<Item> SAPPHIRE_BLOCK = block(PrehistoricChallengeModBlocks.SAPPHIRE_BLOCK,
			CreativeModeTab.TAB_BUILDING_BLOCKS);
	public static final RegistryObject<Item> RUBY = REGISTRY.register("ruby", () -> new RubyItem());
	public static final RegistryObject<Item> RUBY_BLOCK = block(PrehistoricChallengeModBlocks.RUBY_BLOCK, CreativeModeTab.TAB_BUILDING_BLOCKS);
	public static final RegistryObject<Item> OPAL = REGISTRY.register("opal", () -> new OpalItem());
	public static final RegistryObject<Item> OPAL_BLOCK = block(PrehistoricChallengeModBlocks.OPAL_BLOCK, CreativeModeTab.TAB_BUILDING_BLOCKS);
	public static final RegistryObject<Item> AMBER = REGISTRY.register("amber", () -> new AmberItem());
	public static final RegistryObject<Item> AMBER_BLOCK = block(PrehistoricChallengeModBlocks.AMBER_BLOCK, CreativeModeTab.TAB_BUILDING_BLOCKS);
	public static final RegistryObject<Item> QUARTZ = REGISTRY.register("quartz", () -> new QuartzItem());
	public static final RegistryObject<Item> QUARTZ_BLOCK = block(PrehistoricChallengeModBlocks.QUARTZ_BLOCK, CreativeModeTab.TAB_BUILDING_BLOCKS);
	public static final RegistryObject<Item> FOSSIL = REGISTRY.register("fossil", () -> new FossilItem());
	public static final RegistryObject<Item> FOSSIL_BLOCK = block(PrehistoricChallengeModBlocks.FOSSIL_BLOCK, CreativeModeTab.TAB_BUILDING_BLOCKS);
	public static final RegistryObject<Item> FIRESKELETON = REGISTRY.register("fireskeleton_spawn_egg",
			() -> new ForgeSpawnEggItem(PrehistoricChallengeModEntities.FIRESKELETON, -3407872, -6750208,
					new Item.Properties().tab(CreativeModeTab.TAB_MISC)));
	public static final RegistryObject<Item> FIRECREEPER = REGISTRY.register("firecreeper_spawn_egg",
			() -> new ForgeSpawnEggItem(PrehistoricChallengeModEntities.FIRECREEPER, -3407872, -39424,
					new Item.Properties().tab(CreativeModeTab.TAB_MISC)));
	public static final RegistryObject<Item> PRECAMBRIAN = REGISTRY.register("precambrian", () -> new PrecambrianItem());
	public static final RegistryObject<Item> HALLUCIGENIASPINE = REGISTRY.register("hallucigeniaspine", () -> new HallucigeniaspineItem());
	public static final RegistryObject<Item> HALLUCIGENIA = REGISTRY.register("hallucigenia_spawn_egg",
			() -> new ForgeSpawnEggItem(PrehistoricChallengeModEntities.HALLUCIGENIA, -6711040, -10066432,
					new Item.Properties().tab(CreativeModeTab.TAB_MISC)));
	public static final RegistryObject<Item> OPABINIA = REGISTRY.register("opabinia_spawn_egg",
			() -> new ForgeSpawnEggItem(PrehistoricChallengeModEntities.OPABINIA, -6711040, -16777216,
					new Item.Properties().tab(CreativeModeTab.TAB_MISC)));
	public static final RegistryObject<Item> WIWAXIA = REGISTRY.register("wiwaxia_spawn_egg",
			() -> new ForgeSpawnEggItem(PrehistoricChallengeModEntities.WIWAXIA, -16777012, -6750055,
					new Item.Properties().tab(CreativeModeTab.TAB_MISC)));
	public static final RegistryObject<Item> MICRODICTYON = REGISTRY.register("microdictyon_spawn_egg",
			() -> new ForgeSpawnEggItem(PrehistoricChallengeModEntities.MICRODICTYON, -6750208, -6750208,
					new Item.Properties().tab(CreativeModeTab.TAB_MISC)));
	public static final RegistryObject<Item> PIKAIA = REGISTRY.register("pikaia_spawn_egg",
			() -> new ForgeSpawnEggItem(PrehistoricChallengeModEntities.PIKAIA, -6710887, -16777216,
					new Item.Properties().tab(CreativeModeTab.TAB_MISC)));
	public static final RegistryObject<Item> FIREWITHER = REGISTRY.register("firewither_spawn_egg",
			() -> new ForgeSpawnEggItem(PrehistoricChallengeModEntities.FIREWITHER, -6750208, -10092544,
					new Item.Properties().tab(CreativeModeTab.TAB_MISC)));
	public static final RegistryObject<Item> CAMBRIAN = REGISTRY.register("cambrian", () -> new CambrianItem());
	public static final RegistryObject<Item> SEA_SCORPION = REGISTRY.register("sea_scorpion_spawn_egg",
			() -> new ForgeSpawnEggItem(PrehistoricChallengeModEntities.SEA_SCORPION, -6711040, -3355648,
					new Item.Properties().tab(CreativeModeTab.TAB_MISC)));
	public static final RegistryObject<Item> NAUTILOID = REGISTRY.register("nautiloid_spawn_egg",
			() -> new ForgeSpawnEggItem(PrehistoricChallengeModEntities.NAUTILOID, -39424, -10066330,
					new Item.Properties().tab(CreativeModeTab.TAB_MISC)));
	public static final RegistryObject<Item> ORTHOCONE = REGISTRY.register("orthocone_spawn_egg",
			() -> new ForgeSpawnEggItem(PrehistoricChallengeModEntities.ORTHOCONE, -10066330, -6710887,
					new Item.Properties().tab(CreativeModeTab.TAB_MISC)));
	public static final RegistryObject<Item> PLACODERMI = REGISTRY.register("placodermi_spawn_egg",
			() -> new ForgeSpawnEggItem(PrehistoricChallengeModEntities.PLACODERMI, -16776961, -16777216,
					new Item.Properties().tab(CreativeModeTab.TAB_MISC)));
	public static final RegistryObject<Item> ACANTHOSTEGA = REGISTRY.register("acanthostega_spawn_egg",
			() -> new ForgeSpawnEggItem(PrehistoricChallengeModEntities.ACANTHOSTEGA, -16724992, -13421773,
					new Item.Properties().tab(CreativeModeTab.TAB_MISC)));
	public static final RegistryObject<Item> DUNKLEOSTEUS = REGISTRY.register("dunkleosteus_spawn_egg",
			() -> new ForgeSpawnEggItem(PrehistoricChallengeModEntities.DUNKLEOSTEUS, -6711040, -6710887,
					new Item.Properties().tab(CreativeModeTab.TAB_MISC)));
	public static final RegistryObject<Item> ORDOVICIAN = REGISTRY.register("ordovician", () -> new OrdovicianItem());
	public static final RegistryObject<Item> DEVONIAN = REGISTRY.register("devonian", () -> new DevonianItem());
	public static final RegistryObject<Item> SPEAR = REGISTRY.register("spear", () -> new SpearItem());
	public static final RegistryObject<Item> ERYOPS = REGISTRY.register("eryops_spawn_egg",
			() -> new ForgeSpawnEggItem(PrehistoricChallengeModEntities.ERYOPS, -16711936, -10066330,
					new Item.Properties().tab(CreativeModeTab.TAB_MISC)));
	public static final RegistryObject<Item> ARTHROPLEURA = REGISTRY.register("arthropleura_spawn_egg",
			() -> new ForgeSpawnEggItem(PrehistoricChallengeModEntities.ARTHROPLEURA, -10066432, -16777216,
					new Item.Properties().tab(CreativeModeTab.TAB_MISC)));
	public static final RegistryObject<Item> LYCAENOPS = REGISTRY.register("lycaenops_spawn_egg",
			() -> new ForgeSpawnEggItem(PrehistoricChallengeModEntities.LYCAENOPS, -6711040, -3355648,
					new Item.Properties().tab(CreativeModeTab.TAB_MISC)));
	public static final RegistryObject<Item> GORGONOPS = REGISTRY.register("gorgonops_spawn_egg",
			() -> new ForgeSpawnEggItem(PrehistoricChallengeModEntities.GORGONOPS, -6710887, -10066330,
					new Item.Properties().tab(CreativeModeTab.TAB_MISC)));
	public static final RegistryObject<Item> DIMETRODON = REGISTRY.register("dimetrodon_spawn_egg",
			() -> new ForgeSpawnEggItem(PrehistoricChallengeModEntities.DIMETRODON, -16724992, -256,
					new Item.Properties().tab(CreativeModeTab.TAB_MISC)));
	public static final RegistryObject<Item> CARBONIFEOUS = REGISTRY.register("carbonifeous", () -> new CarbonifeousItem());
	public static final RegistryObject<Item> PERMAIN = REGISTRY.register("permain", () -> new PermainItem());
	public static final RegistryObject<Item> CYNODONT = REGISTRY.register("cynodont_spawn_egg",
			() -> new ForgeSpawnEggItem(PrehistoricChallengeModEntities.CYNODONT, -6711040, -1, new Item.Properties().tab(CreativeModeTab.TAB_MISC)));
	public static final RegistryObject<Item> COELOPHYSIS = REGISTRY.register("coelophysis_spawn_egg",
			() -> new ForgeSpawnEggItem(PrehistoricChallengeModEntities.COELOPHYSIS, -1, -16711936,
					new Item.Properties().tab(CreativeModeTab.TAB_MISC)));
	public static final RegistryObject<Item> HERRERASAURUS = REGISTRY.register("herrerasaurus_spawn_egg",
			() -> new ForgeSpawnEggItem(PrehistoricChallengeModEntities.HERRERASAURUS, -6711040, -16777012,
					new Item.Properties().tab(CreativeModeTab.TAB_MISC)));
	public static final RegistryObject<Item> POSTOSUCHUS = REGISTRY.register("postosuchus_spawn_egg",
			() -> new ForgeSpawnEggItem(PrehistoricChallengeModEntities.POSTOSUCHUS, -6711040, -13369600,
					new Item.Properties().tab(CreativeModeTab.TAB_MISC)));
	public static final RegistryObject<Item> TRIASSIC = REGISTRY.register("triassic", () -> new TriassicItem());
	public static final RegistryObject<Item> ORNITHALSETES = REGISTRY.register("ornithalsetes_spawn_egg",
			() -> new ForgeSpawnEggItem(PrehistoricChallengeModEntities.ORNITHALSETES, -6710887, -16777012,
					new Item.Properties().tab(CreativeModeTab.TAB_MISC)));
	public static final RegistryObject<Item> ALLOSAURUS = REGISTRY.register("allosaurus_spawn_egg",
			() -> new ForgeSpawnEggItem(PrehistoricChallengeModEntities.ALLOSAURUS, -6710887, -3407872,
					new Item.Properties().tab(CreativeModeTab.TAB_MISC)));
	public static final RegistryObject<Item> SINORNITHOSAURUS = REGISTRY.register("sinornithosaurus_spawn_egg",
			() -> new ForgeSpawnEggItem(PrehistoricChallengeModEntities.SINORNITHOSAURUS, -13421773, -6710887,
					new Item.Properties().tab(CreativeModeTab.TAB_MISC)));
	public static final RegistryObject<Item> LIOPLEURODON = REGISTRY.register("liopleurodon_spawn_egg",
			() -> new ForgeSpawnEggItem(PrehistoricChallengeModEntities.LIOPLEURODON, -16777216, -1,
					new Item.Properties().tab(CreativeModeTab.TAB_MISC)));
	public static final RegistryObject<Item> JURASSIC = REGISTRY.register("jurassic", () -> new JurassicItem());
	public static final RegistryObject<Item> CONCOVANATOR = REGISTRY.register("concovanator_spawn_egg",
			() -> new ForgeSpawnEggItem(PrehistoricChallengeModEntities.CONCOVANATOR, -10066432, -10092544,
					new Item.Properties().tab(CreativeModeTab.TAB_MISC)));
	public static final RegistryObject<Item> DEINONYCHUS = REGISTRY.register("deinonychus_spawn_egg",
			() -> new ForgeSpawnEggItem(PrehistoricChallengeModEntities.DEINONYCHUS, -13421824, -6750208,
					new Item.Properties().tab(CreativeModeTab.TAB_MISC)));
	public static final RegistryObject<Item> UTAHRAPTOR = REGISTRY.register("utahraptor_spawn_egg",
			() -> new ForgeSpawnEggItem(PrehistoricChallengeModEntities.UTAHRAPTOR, -6711040, -16777012,
					new Item.Properties().tab(CreativeModeTab.TAB_MISC)));
	public static final RegistryObject<Item> TYRANNOSAURUS_REX = REGISTRY.register("tyrannosaurus_rex_spawn_egg",
			() -> new ForgeSpawnEggItem(PrehistoricChallengeModEntities.TYRANNOSAURUS_REX, -6710887, -16777216,
					new Item.Properties().tab(CreativeModeTab.TAB_MISC)));
	public static final RegistryObject<Item> CRETACIOUS = REGISTRY.register("cretacious", () -> new CretaciousItem());
	public static final RegistryObject<Item> GIANT_ANT = REGISTRY.register("giant_ant_spawn_egg",
			() -> new ForgeSpawnEggItem(PrehistoricChallengeModEntities.GIANT_ANT, -10066432, -16777216,
					new Item.Properties().tab(CreativeModeTab.TAB_MISC)));
	public static final RegistryObject<Item> DORODON = REGISTRY.register("dorodon_spawn_egg",
			() -> new ForgeSpawnEggItem(PrehistoricChallengeModEntities.DORODON, -6710887, -16777216,
					new Item.Properties().tab(CreativeModeTab.TAB_MISC)));
	public static final RegistryObject<Item> AMBULOCETUS = REGISTRY.register("ambulocetus_spawn_egg",
			() -> new ForgeSpawnEggItem(PrehistoricChallengeModEntities.AMBULOCETUS, -10066432, -16777216,
					new Item.Properties().tab(CreativeModeTab.TAB_MISC)));
	public static final RegistryObject<Item> BASILOSAURUS = REGISTRY.register("basilosaurus_spawn_egg",
			() -> new ForgeSpawnEggItem(PrehistoricChallengeModEntities.BASILOSAURUS, -10066330, -16777216,
					new Item.Properties().tab(CreativeModeTab.TAB_MISC)));
	public static final RegistryObject<Item> EOCENE = REGISTRY.register("eocene", () -> new EoceneItem());
	public static final RegistryObject<Item> HYAENODONT = REGISTRY.register("hyaenodont_spawn_egg",
			() -> new ForgeSpawnEggItem(PrehistoricChallengeModEntities.HYAENODONT, -3355444, -16777216,
					new Item.Properties().tab(CreativeModeTab.TAB_MISC)));
	public static final RegistryObject<Item> ENTELODONT = REGISTRY.register("entelodont_spawn_egg",
			() -> new ForgeSpawnEggItem(PrehistoricChallengeModEntities.ENTELODONT, -3355444, -6750208,
					new Item.Properties().tab(CreativeModeTab.TAB_MISC)));
	public static final RegistryObject<Item> IDRICOTHERE = REGISTRY.register("idricothere_spawn_egg",
			() -> new ForgeSpawnEggItem(PrehistoricChallengeModEntities.IDRICOTHERE, -10066432, -16777216,
					new Item.Properties().tab(CreativeModeTab.TAB_MISC)));
	public static final RegistryObject<Item> MIOCENE = REGISTRY.register("miocene", () -> new MioceneItem());
	public static final RegistryObject<Item> AUSTRALOPITHICUS = REGISTRY.register("australopithicus_spawn_egg",
			() -> new ForgeSpawnEggItem(PrehistoricChallengeModEntities.AUSTRALOPITHICUS, -10066432, -16777216,
					new Item.Properties().tab(CreativeModeTab.TAB_MISC)));
	public static final RegistryObject<Item> DINOFELIS = REGISTRY.register("dinofelis_spawn_egg",
			() -> new ForgeSpawnEggItem(PrehistoricChallengeModEntities.DINOFELIS, -3355444, -16777216,
					new Item.Properties().tab(CreativeModeTab.TAB_MISC)));
	public static final RegistryObject<Item> DEINOTHERIUM = REGISTRY.register("deinotherium_spawn_egg",
			() -> new ForgeSpawnEggItem(PrehistoricChallengeModEntities.DEINOTHERIUM, -10066432, -16777216,
					new Item.Properties().tab(CreativeModeTab.TAB_MISC)));
	public static final RegistryObject<Item> PLIOCENE = REGISTRY.register("pliocene", () -> new PlioceneItem());
	public static final RegistryObject<Item> SMILODON = REGISTRY.register("smilodon_spawn_egg",
			() -> new ForgeSpawnEggItem(PrehistoricChallengeModEntities.SMILODON, -10066432, -1,
					new Item.Properties().tab(CreativeModeTab.TAB_MISC)));
	public static final RegistryObject<Item> DOEDICURUS = REGISTRY.register("doedicurus_spawn_egg",
			() -> new ForgeSpawnEggItem(PrehistoricChallengeModEntities.DOEDICURUS, -3355444, -16777216,
					new Item.Properties().tab(CreativeModeTab.TAB_MISC)));
	public static final RegistryObject<Item> HOMO_SAPIEN = REGISTRY.register("homo_sapien_spawn_egg",
			() -> new ForgeSpawnEggItem(PrehistoricChallengeModEntities.HOMO_SAPIEN, -10066432, -52,
					new Item.Properties().tab(CreativeModeTab.TAB_MISC)));
	public static final RegistryObject<Item> WOOLY_MAMMOTH = REGISTRY.register("wooly_mammoth_spawn_egg",
			() -> new ForgeSpawnEggItem(PrehistoricChallengeModEntities.WOOLY_MAMMOTH, -10066432, -1,
					new Item.Properties().tab(CreativeModeTab.TAB_MISC)));
	public static final RegistryObject<Item> PLEISTIOCENE = REGISTRY.register("pleistiocene", () -> new PleistioceneItem());

	private static RegistryObject<Item> block(RegistryObject<Block> block, CreativeModeTab tab) {
		return REGISTRY.register(block.getId().getPath(), () -> new BlockItem(block.get(), new Item.Properties().tab(tab)));
	}
}
